Extending Qt Creator Manual | VcsClientOptionsPage

Extending Qt Creator Manual 4.5.2

# VcsClientOptionsPage Class

(VcsBase::VcsClientOptionsPage)

Inherits: | VcsBase::VcsBaseOptionsPage

- List of all members, including inherited members

## Public Functions

| VcsClientOptionsPage(Core::IVersionControl *control, VcsBaseClientImpl *client, QObject *parent = 0)

## Reimplemented Public Functions

virtual void | apply() override
virtual void | finish() override
virtual VcsClientOptionsPageWidget * | widget() override

- 9 public functions inherited from Core::IOptionsPage

## Signals

void | settingsChanged()

## Protected Functions

void | setWidgetFactory(WidgetFactory factory)

- 5 protected functions inherited from Core::IOptionsPage

## Member Function Documentation

### VcsClientOptionsPage::VcsClientOptionsPage(Core::IVersionControl *control, VcsBaseClientImpl *client, QObject *parent = 0)

Default constructs an instance of VcsClientOptionsPage.

### `[override virtual]` void VcsClientOptionsPage::apply()

### `[override virtual]` void VcsClientOptionsPage::finish()

### `[protected]` void VcsClientOptionsPage::setWidgetFactory(WidgetFactory factory)

### `[signal]` void VcsClientOptionsPage::settingsChanged()

### `[override virtual]` VcsClientOptionsPageWidget *VcsClientOptionsPage::widget()